ALTER FUNCTION "dba"."getid_ls_makslist"()
returns integer
begin
  declare li_return integer;
  select max(maksnr) + 1 into li_return from ls_makslist;
  if li_return is null or li_return<1 then
    set li_return=1;
    while exists(select 1 from ls_makslist where maksnr=li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end